--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: EN_STR
  value: "'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ' + \\\r      '0123456789.+-,$:|&;_ '"
- !ruby/object:RI::Constant 
  comment: 
  name: EN_STR_LEN
  value: EN_STR.length
- !ruby/object:RI::Constant 
  comment: 
  name: EN_KEY1
  value: "\")2VER8GE\\\"87-E\\n\""
- !ruby/object:RI::Constant 
  comment: 
  name: EN_KEY
  value: EN_KEY1.unpack("u")[0]
- !ruby/object:RI::Constant 
  comment: 
  name: EN_KEY_LEN
  value: EN_KEY.length
full_name: KBEncryptionMixin
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: encrypt_str
- !ruby/object:RI::MethodSummary 
  name: unencrypt_str
name: KBEncryptionMixin
superclass: 
